Bug 819637 - [abrt] xfdesktop-4.8.3-2.fc17: __strlen_sse2_pminub: Process /usr/bin/xfdesktop was killed by signal 11 (SIGSEGV)
[abrt] xfdesktop-4.8.3-2.fc17: __strlen_sse2_pminub: Process /usr/bin/xfdeskt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:c4b7558e3a47cc1b79bf6218ffe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 15:54 EDT by Mark van Rossum
Modified: 2013-08-01 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.09 KB, text/plain)
2012-05-07 15:54 EDT, Mark van Rossum
no flags Details
File: maps (42.80 KB, text/plain)
2012-05-07 15:54 EDT, Mark van Rossum
no flags Details
File: dso_list (9.26 KB, text/plain)
2012-05-07 15:54 EDT, Mark van Rossum
no flags Details

  None (edit)
Description Mark van Rossum 2012-05-07 15:54:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 2b1201517-2c17-40cd-b4cc-c77acc99833c
comment:        Trying to unmount a USB stick, while it was busy.
crash_function: __strlen_sse2_pminub
executable:     /usr/bin/xfdesktop
kernel:         3.3.4-4.fc17.x86_64
pid:            1318
pwd:            /home/vrossum
remote_result:  NOTFOUND
time:           Mon 07 May 2012 20:47:26 BST
uid:            1005
username:       vrossum

backtrace:      Text file, 31835 bytes
dso_list:       Text file, 9478 bytes
maps:           Text file, 43825 bytes

build_ids:
:7909c6de930371191ee0fc0b24f87a1a6df419c3
:8568e11bef79abaf14513d18a8559282d8dad34a
:5ca1b43ee89c71f06dcc306229405983ce324936
:54a5cc118d928470da13565de8592b664a9868e0
:647c8183274c4626c81e86e7a631a81782a04e65
:f813375cba5b47aac7576dfddc1d9f8f056ee895
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:2b91a9729fe52561f89fb2c9e847a60f6fdea133
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:ea7dbc94b28d208c34660d384674a6827f1da318
:bbf39f0ca7f78ad1e4043d1a1a4436590e8e6c14
:301bb855a0952a10241e6d7190773fdabf23e383
:52f0c5f25b95075e6fd7682763f7c3a779a4e889
:b277af36744327e3d58eae76bcdaadcca71a28c6
:5c4f739dadc5059e12de9ba0d1d12a43d2fc86d7
:e8e91030a190ea4578f1cbdc93b8dad0a2736653
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:5df5b54187568cf4a488586b0591dd7affab18ff
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:28853ccabe476a856e207e52fe99595f914fc953
:e91010b497ec024178c36f4365b21f668bada0ca
:378b51ec58d4e69e4176016f588bb763a3412969
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6419b38400feb8414d331a1f2deebb0012d0d72e
:23290a83b84d7e1e2315956d69e946b3022badc8
:83485305304a60bb87dd43da41540da473636871
:04e3be452a7dd4bf36ad79b8b7c33dac483dd6f1
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:877685c5afa0faf0e43ad65f21587f699edcc04d
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:4931698267d10acff918becd47ee369a84acd50e
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:8f7c190397d7c1f617e66f18f759714662b60367
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:492aceebe0f60e3eef7f5b2cac9deaf484b4c9d5
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:6deb3812c81a54ff67dfb571ec11486ce1957e81
:70c73977cdc2714f07bfb21fe3da7890a7c4c77e
:1c1cbb11b6d1c924bc72f2703a3077f89cd1e5b6
:742949d8200d6bfb817a16c88f7c7c6c1a773dae
:67792c148d2b8f13f6732c9367e926c26d7376c5
:0cb287d36f53ac1f1455004f56a814b146a71139
:0eda37efa596eafa8fe8122533c0a58bd3301325
:404cbecd24d186758ed474b345313da28b2990fa
:65d6febf790953f6049c9aa32c8d3ace76919080
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:508cf66f72e70054a41215f80ed2385c6bb80030
:92629a2a6bf081d2ee647244de78538189e1347b
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:de8765a1f811be7af865204ba32ef7846307e863
:4b044fe80e4c1b69986abc4b160c303048005d4e
:76867ac4cb05ad6c74a5cdfc7a77ef0051de8180
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:4dac977c0337ed949981bfc9ec0c5c617eb0cc74
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:fdcb972807c43280426779e7a41fcd6b9172cd26
:1d4df97fa6024b097b634a272447243c95c26d85
:ad8de566cd5e1ba679b3e85c6958b3ab3e6ab18c
:c411667445e6e78a133f1a65dba6623097c303b1
:2489bc6dcc2d44f9c7432ddf93804bd90bb2373f
:247132297f287226a24c12e683292f5c94013066
:f7e3f883fe7aeedf060a22ad3b2f8e4badb179d4
:c94e506ae611b0998870f6d191f2ee1972962309
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vrossum/2

core_backtrace:
:5c4f739dadc5059e12de9ba0d1d12a43d2fc86d7 0x15f741 __strlen_sse2_pminub libc.so.6 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x62cd0 g_strdup libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x12b8cd gtk_image_set_from_icon_name libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x12b97b gtk_image_new_from_icon_name libgtk-x11-2.0.so.0 -
:0cb287d36f53ac1f1455004f56a814b146a71139 0x31b3e - [exe] -
:0cb287d36f53ac1f1455004f56a814b146a71139 0x285da - [exe] -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0cb287d36f53ac1f1455004f56a814b146a71139 0x16598 - [exe] -
:0cb287d36f53ac1f1455004f56a814b146a71139 0x18a15 - [exe] -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:0cb287d36f53ac1f1455004f56a814b146a71139 0x11d9d main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1271
:HOSTNAME=t61p
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/vrossum/.gnupg/S.gpg-agent:1300:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:'MAKEFLAGS=-j 2'
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7a18bf64add870b6bf70c22300000006-1336415188.759562-1587058557
:'ENSCRIPT=-2 -r -G -fCourier6 -L64 -Php4100b -E -T4'
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/vrossum/keyring-qzCNt8
:QTINC=/usr/lib64/qt-3.3/include
:GRACE_HELPVIEWER=firefox
:IMSETTINGS_MODULE=IBus
:USER=vrossum
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-mMSBvxZX1009/agent.1009
:USERNAME=vrossum
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/vrossum
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/vrossum/scripts:./:/usr/sbin:/sbin:/home/vrossum/bin
:QT_IM_MODULE=xim
:PWD=/home/vrossum
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:LANG=en_GB.UTF-8
:GNOME_KEYRING_PID=980
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/vrossum
:XDG_SEAT=seat0
:KMIX_PULSEAUDIO_DISABLE=1
:'LESS=-i -x4'
:LOGNAME=vrossum
:'MPAGE=-2Php4100b -bA4'
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fExlqAlKsm,guid=d3c68d4a25e30eb8927b3dc100000017
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/vrossum
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:RSYNC_RSH=ssh
:XAUTHORITY=/var/run/gdm/auth-for-vrossum-LCLdnh/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1309,unix/unix:/tmp/.ICE-unix/1309

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62809                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62809                62809                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/home/vrossum/.xsession-errors
:pos:	24945
:flags:	0102002
:2:/home/vrossum/.xsession-errors
:pos:	24945
:flags:	0102002
:3:socket:[17265]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[18971]
:pos:	0
:flags:	02000002
:6:socket:[18972]
:pos:	0
:flags:	02004002
:7:socket:[18125]
:pos:	0
:flags:	02004002
:8:socket:[97554]
:pos:	0
:flags:	02004002
:9:socket:[18126]
:pos:	0
:flags:	02004002
:10:socket:[18186]
:pos:	0
:flags:	02004002
:11:socket:[17337]
:pos:	0
:flags:	02
:12:socket:[17338]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:pipe:[19610]
:pos:	0
:flags:	00
:15:pipe:[19610]
:pos:	0
:flags:	01
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[19617]
:pos:	0
:flags:	02
:18:socket:[19619]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:May  7 20:47:26 t61p kernel: [ 4870.920401] xfdesktop[1318]: segfault at 2 ip 0000003a4255f741 sp 00007fff13511368 error 4 in libc-2.15.so[3a42400000+1ac000]
:May  7 20:47:26 t61p abrt[4633]: Saved core dump of pid 1318 (/usr/bin/xfdesktop) to /var/spool/abrt/ccpp-2012-05-07-20:47:26-1318 (17989632 bytes)
Comment 1 Mark van Rossum 2012-05-07 15:54:26 EDT
Created attachment 582773 [details]
File: backtrace
Comment 2 Mark van Rossum 2012-05-07 15:54:28 EDT
Created attachment 582774 [details]
File: maps
Comment 3 Mark van Rossum 2012-05-07 15:54:30 EDT
Created attachment 582775 [details]
File: dso_list
Comment 4 Kevin Fenzi 2012-05-07 17:23:55 EDT
Can you duplicate this? 

Did it happen when you pulled the usb device? Or before/after?
Comment 5 Mark van Rossum 2012-05-08 05:38:06 EDT
I did not unplug the USB stick.

It was however being formatted and the device label changed.
Maybe that caused a problem.
Comment 6 Fedora End Of Life 2013-07-04 02:03:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:26:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.